%define module_name Arango-Tango
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(JSON/Schema/Fit.pm) perl(MIME/Base64.pm) perl(Sub/Install.pm) perl(Sub/Name.pm) perl(Test/More.pm) perl(Test2/Tools/Exception.pm) perl(Test2/V0.pm) perl(URI/Encode.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: A simple interface to ArangoDB REST API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AM/AMBS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
![](https://gitlab.com/ambs/perl5-arango-tango/badges/master/pipeline.svg)

This Perl module, Arango::Tango, is an interface to ArangoDB REST API.

At the moment, it is a work in progress module. Released soon, so it can be
useful, and the community to know it exists and can collaborate, if there is
any interest on it.

For the tests to run properly, the environment variables ARANGO_DB_HOST,
ARANGO_DB_PORT, ARANGO_DB_USERNAME and ARANGO_DB_PASSWORD can be set as
desired. If not, the default values will be tested (localhost:8529, root and
empty password). The tests will create a tmp_ table, that should not exist
(in the future it might detect and adapt accordingly).

**NOTE:** This module was originally called `Arango::DB`. But given the existence
of `ArangoDB` and `ArangoDB2` modules, I decided to change its name, making
it different and catchy.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/A*

%changelog
* Thu May 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1
- updated by package builder

* Tue Apr 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- updated by package builder

* Sat Apr 27 2019 Igor Vlasenko <viy@altlinux.ru> 0.008-alt1
- updated by package builder

* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- initial import by package builder

